/*
 *  
 *  Copyright (c) 2004 Steve Slaven, All Rights Reserved.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA 02111-1307 USA
 *  
*/
package net.hoopajoo.cheeselab3;
import java.awt.*;
import java.awt.image.*;
/*
import java.util.*;
import java.awt.geom.Rectangle2D;
import java.awt.event.*;
import javax.swing.*;
import net.hoopajoo.swingx.*;
import java.io.*;
*/

class CheeseRenderer {
    protected CheeseCanvas canvas;

    public void set_canvas( CheeseCanvas c ) {
        canvas = c;
    }

    public void prepare() {
    }

    public void draw_map( BufferedImage buffer ) {
        CheeseLab.dmesg( 1, "Warning: " + this.getClass() + " does not provide a draw_map()" );
    }

    public void draw_players( BufferedImage buffer ) {
        CheeseLab.dmesg( 1, "Warning: " + this.getClass() + " does not provide a draw_players()" );
    }

    public void draw_hud( BufferedImage buffer ) {
        CheeseLab.dmesg( 1, "Warning: " + this.getClass() + " does not provide a draw_hud()" );
    }

    public Image get_image( String name, int width, int height ) {
        // There should be some nice way to handle this in default base classes?  then
        // if you want a custom getImage, say to load svg files or network files or
        // whatever, you could use custom logic then call super.getImage if it fails...
        CheeseLab.dmesg( 1, "Warning: " + this.getClass() + " does not provide a get_image( String, int, int )" );
        return( null );
    }
}
